## cairo-dock-plugins 2.3.0~0rc1

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "2.3.0~0rc1")

add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES 
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target( dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

# get plug-ins install dir
execute_process(
    COMMAND pkg-config cairo-dock --variable=pluginsdir		# /usr/lib/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # la commande rajoute un retour chariot ...
# get plug-ins data dir
execute_process(
    COMMAND pkg-config cairo-dock --variable=pluginsdatadir	# /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# check that version matches with the core
execute_process(
    COMMAND pkg-config --modversion cairo-dock			# 2.2.0-3
    OUTPUT_VARIABLE dock_version)
STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
if (NOT "${dock_version}" STREQUAL "${VERSION}")		# Version
	MESSAGE (FATAL_ERROR "warning : version mismatch with the core : " ${VERSION} <> ${dock_version})
endif()

#if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT "${FORCE_LIB64}" STREQUAL "")  # 64bits and force install in lib64
#	set (libname "lib64")
#else()
#	set (libname "lib${LIB_SUFFIX}")
#endif()
#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")	# /usr/lib

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib
GET_FILENAME_COMPONENT(prefix "${pluginsdir}/../.." ABSOLUTE)  # /usr
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}")
	message (STATUS "Warning : plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${CMAKE_INSTALL_PREFIX}/share/locale")
set (gaugesdir "${CMAKE_INSTALL_PREFIX}/share/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependancies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gtk+-2.0" "gthread-2.0" "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0" "gtkglext-1.0" "cairo-dock")

############# ALSA_MIXER #################
set (with_alsa "no")
if (NOT "${enable-alsa-mixer}" STREQUAL "no")
	pkg_check_modules (ALSA_MIXER_PACKAGE alsa)
	if ("${ALSA_MIXER_PACKAGE_FOUND}" STREQUAL "")
		message (STATUS "Could not find alsa; Cairo-Dock won't be built with AlsaMixer applet.")
	else()
		set (GETTEXT_ALSA_MIXER ${GETTEXT_PLUGINS})
		set (VERSION_ALSA_MIXER "1.0.12")
		set (PACKAGE_ALSA_MIXER "cd-AlsaMixer")
		set (with_alsa "yes")
		set (alsa_mixerdatadir "${pluginsdatadir}/AlsaMixer")
		configure_file (${CMAKE_CURRENT_SOURCE_DIR}/alsaMixer/data/AlsaMixer.conf.in ${CMAKE_CURRENT_BINARY_DIR}/alsaMixer/data/AlsaMixer.conf)
		add_subdirectory ("alsaMixer")
	endif()
endif()

############# ANIMATED ICONS #################
set (GETTEXT_ANIMATED_ICONS ${GETTEXT_PLUGINS})
set (VERSION_ANIMATED_ICONS "1.0.9")
set (PACKAGE_ANIMATED_ICONS "cd-Animated-icons")
set (animated_iconsdatadir "${pluginsdatadir}/Animated-icons")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Animated-icons/data/Animated-icons.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Animated-icons/data/Animated-icons.conf)
add_subdirectory (Animated-icons)

############# CAIRO_PENGUIN #################
set (GETTEXT_CAIRO_PENGUIN ${GETTEXT_PLUGINS})
set (VERSION_CAIRO_PENGUIN "1.1.8")
set (PACKAGE_CAIRO_PENGUIN "cd-Cairo-Penguin")
set (cairo_penguinuserdirname "Cairo-Penguin")
set (cairo_penguindatadir "${pluginsdatadir}/Cairo-Penguin")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Cairo-Penguin/data/Cairo-Penguin.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Cairo-Penguin/data/Cairo-Penguin.conf)
add_subdirectory (Cairo-Penguin)

############# CLIPPER #################
set (GETTEXT_CLIPPER ${GETTEXT_PLUGINS})
set (VERSION_CLIPPER "1.1.4")
set (PACKAGE_CLIPPER "cd-Clipper")
set (Clipperdatadir "${pluginsdatadir}/Clipper")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Clipper/data/Clipper.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Clipper/data/Clipper.conf)
add_subdirectory (Clipper)

############# CLOCK #################
set (with_ical "yes")
pkg_check_modules ("LIBICAL_PACKAGE" "libical")
if ("${LIBICAL_PACKAGE_FOUND}" STREQUAL "")
	set (with_ical "no")
	message (STATUS "Could not find libical; Clock plugin won't be built with iCal support.")
endif()
set (GETTEXT_CLOCK ${GETTEXT_PLUGINS})
set (VERSION_CLOCK "2.1.2")
set (PACKAGE_CLOCK "cd-clock")
set (clockuserdirname "clock")
set (clockdatadir "${pluginsdatadir}/clock")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/clock/data/clock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/clock/data/clock.conf)
add_subdirectory (clock)

############# COMPIZ_ICON #################
set (GETTEXT_COMPIZ_ICON ${GETTEXT_PLUGINS})
set (VERSION_COMPIZ_ICON "1.1.6")
set (PACKAGE_COMPIZ_ICON "cd-compiz-icon")
set (compiz_icondatadir "${pluginsdatadir}/compiz-icon")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/compiz-icon/data/compiz-icon.conf.in ${CMAKE_CURRENT_BINARY_DIR}/compiz-icon/data/compiz-icon.conf)
add_subdirectory (compiz-icon)

############# DBUS #################
find_program (PYTHON_EXECUTABLE python)
EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "import sys; print sys.version" OUTPUT_VARIABLE PYTHON_VERSION)
if ("${PYTHON_VERSION}" STREQUAL "") 
	message (STATUS "Could not find Python, won't install Python interface.") 
	set (with_python "no") 
else() 
	STRING (REGEX REPLACE "\n" "" PYTHON_VERSION ${PYTHON_VERSION})
	message (STATUS "Python Version: ${PYTHON_VERSION}") 
	GET_FILENAME_COMPONENT(DEBIAN_VERSION /etc/debian_version ABSOLUTE) 
	if (EXISTS ${DEBIAN_VERSION}) 
		message (STATUS "  will use '--install-layout deb' with 'python setup.py install'") 
		set (DEBIAN_INSTALL_LAYOUT "--install-layout deb")
	endif()
	set (PYTHON_FOUND "TRUE")
	set (with_python "yes") 
endif()

# find_package(Ruby) found libs of ruby-dev but we only need a directory where we can install ruby libs.
find_program (RUBY_EXECUTABLE ruby)
EXECUTE_PROCESS(COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print Config::CONFIG['rubylibdir']"
	OUTPUT_VARIABLE RUBY_LIB_DIR)
message (STATUS "RUBY_LIBRARY: ${RUBY_LIB_DIR}")
if ("${RUBY_LIB_DIR}" STREQUAL "" OR "${RUBY_LIB_DIR}" STREQUAL "nil")
	message (STATUS "Could not find ruby libs, won't install Ruby interface.")
	set (with_ruby "no")
else()
	string (REGEX REPLACE "lib/ruby/[0-9].[0-9]" "" RUBY_LIB_DIR_INSTALL "${RUBY_LIB_DIR}")
	string (REGEX REPLACE "${RUBY_LIB_DIR_INSTALL}" "" RUBY_LIB_DIR_INSTALL "${RUBY_LIB_DIR}")
	set (RUBY_LIB_DIR "${CMAKE_INSTALL_PREFIX}/${RUBY_LIB_DIR_INSTALL}")
	message (STATUS "  will be installed in: ${RUBY_LIB_DIR}")
	set (RUBY_FOUND "TRUE")
	set (with_ruby "yes")
endif()

#find_package (Mono)
find_program (GMCS_EXECUTABLE gmcs)
if ("${GMCS_EXECUTABLE}" STREQUAL "" OR NOT EXISTS ${GMCS_EXECUTABLE})
	message (STATUS "Could not find Mono compiler gmcs, won't build Mono interface.")
	set (with_mono "no")
else()
	set (MONO_FOUND "TRUE")
	pkg_check_modules (MONO_PACKAGE glib-sharp-2.0 ndesk-dbus-1.0 ndesk-dbus-glib-1.0)
	if ("${MONO_PACKAGE_FOUND}" STREQUAL "")
		message (STATUS "Could not find glib-sharp-2.0, ndesk-dbus-1.0 or ndesk-dbus-glib-1.0; won't be built Mono interface.")
		set (with_mono "no")
	else()
		set (with_mono "yes")
	endif()
endif()

set (with_vala "yes")
set (with_valac "no")
find_program (VALA_EXECUTABLE valac)
if ("${WITH_VALA}" STREQUAL "no")
	set (with_vala "no")
elseif ("${WITH_VALA}" STREQUAL "yes" AND NOT "${VALA_EXECUTABLE}" STREQUAL "")
	execute_process(COMMAND ${VALA_EXECUTABLE} "--version"
		OUTPUT_VARIABLE "VALA_VERSION")
	string(REPLACE "Vala" "" "VALA_VERSION" ${VALA_VERSION})
	string(STRIP ${VALA_VERSION} "VALA_VERSION")
	message (STATUS "VALA_VERSION: ${VALA_VERSION}")

	STRING (REGEX REPLACE "\\..*" "" VALA_MAJOR "${VALA_VERSION}")
	message (STATUS "VALA_MAJOR : ${VALA_MAJOR}")
	
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" VALA_MINOR "${VALA_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" VALA_MINOR "${VALA_MINOR}")
	message (STATUS "VALA_MINOR : ${VALA_MINOR}")

	STRING (REGEX REPLACE ".*\\." "" VALA_NANO "${VALA_VERSION}")
	STRING (REGEX REPLACE "-.*" "" VALA_NANO "${VALA_NANO}")
	message (STATUS "VALA_NANO  : ${VALA_NANO}")

	if (${VALA_MAJOR} GREATER 0 OR ${VALA_MINOR} GREATER 9)  # vala > 0.10
		message (STATUS "Vala compiler ok.")
		set (VALAC_FOUND "TRUE")
		set (with_valac "yes")
	else()
		message (STATUS "Vala compiler too old (0.10 required), won't build Vala interface.")
	endif()
endif()


set (GETTEXT_DBUS ${GETTEXT_PLUGINS})
set (VERSION_DBUS "1.2.1")
set (PACKAGE_DBUS "cd-Dbus")
set (dbusdatadir "${pluginsdatadir}/Dbus")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Dbus/data/Dbus.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Dbus/data/Dbus.conf)
add_subdirectory (Dbus)

############# DESKLET_RENDERING #################
set (GETTEXT_DESKLET_RENDERING ${GETTEXT_PLUGINS})
set (VERSION_DESKLET_RENDERING "1.5.6")
set (PACKAGE_DESKLET_RENDERING "cd-desklet-rendering")
set (desklet_renderingdatadir "${pluginsdatadir}/desklet-rendering")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/desklet-rendering/data/desklet-rendering.conf.in ${CMAKE_CURRENT_BINARY_DIR}/desklet-rendering/data/desklet-rendering.conf)
add_subdirectory (desklet-rendering)

############# DIALOG_RENDERING #################
set (GETTEXT_DIALOG_RENDERING ${GETTEXT_PLUGINS})
set (VERSION_DIALOG_RENDERING "0.5.1")
set (PACKAGE_DIALOG_RENDERING "cd-dialog-rendering")
set (dialog_renderingdatadir "${pluginsdatadir}/dialog-rendering")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/dialog-rendering/data/dialog-rendering.conf.in ${CMAKE_CURRENT_BINARY_DIR}/dialog-rendering/data/dialog-rendering.conf)
add_subdirectory (dialog-rendering)

############# DISKS #################
set (with_disks "no")
if ("${enable-disks}" STREQUAL "yes")
	set (GETTEXT_DISKS ${GETTEXT_PLUGINS})
	set (VERSION_DISKS "0.0.2")
	set (PACKAGE_DISKS "cd-disks")
	set (with_disks "yes")
	set (disksdatadir "${pluginsdatadir}/Disks")
	configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Disks/data/Disks.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Disks/data/Disks.conf)
	add_subdirectory ("Disks")
endif()

############# DND2SHARE #################
set (GETTEXT_DND2SHARE ${GETTEXT_PLUGINS})
set (VERSION_DND2SHARE "1.0.5")
set (PACKAGE_DND2SHARE "cd-dnd2share")

=== Dbus/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Dbus.conf
	icon.svg
	DESTINATION ${dbusdatadir})

=== Dbus/interfaces/CMakeLists.txt ===

if ("${PYTHON_FOUND}" STREQUAL "TRUE")
	add_subdirectory(python)
	add_subdirectory(bash)
endif()
if ("${RUBY_FOUND}" STREQUAL "TRUE")
	add_subdirectory(ruby)
endif()
if ("${MONO_FOUND}" STREQUAL "TRUE")
	add_subdirectory(mono)
endif()
if ("${with_vala}" STREQUAL "yes")
	add_subdirectory(vala)
endif()

=== GMenu/src/CMakeLists.txt ===

########### sources ###############

SET(cd-GMenu_LIB_SRCS
	applet-init.c
	applet-init.h
	applet-config.c
	applet-config.h
	applet-notifications.c
	applet-notifications.h
	applet-menu-callbacks.c
	applet-menu-callbacks.h
	applet-menu.c
	applet-menu.h
	applet-util.c
	applet-util.h
	applet-recent.c
	applet-recent.h
	applet-run-dialog.c
	applet-run-dialog.h
	applet-struct.h
)

add_library(${PACKAGE_GMENU} SHARED ${cd-GMenu_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${gmenudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="GMenu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="GMenu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_GMENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_GMENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${GMENU_PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${GMENU_PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_GMENU}
	${PACKAGE_LIBRARIES}
	${GMENU_PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_GMENU} DESTINATION ${pluginsdir})



#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-GMenu.la
#
#
#if WITH_GIO_IN_GMENU
#have_gio=-DHAVE_GIO="1"
#endif
#
#libcd_GMenu_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-menu-callbacks.c
#	applet-menu-callbacks.h
#	applet-menu.c
#	applet-menu.h
#	applet-util.c
#	applet-util.h
#	applet-recent.c
#	applet-recent.h
#	applet-run-dialog.c
#	applet-run-dialog.h
#	applet-struct.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_GMenu_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(GMENU_PACKAGE_CFLAGS)
#	$(GMENU_GIO_CFLAGS) 
#	$(have_gio)
#	-DMY_APPLET_SHARE_DATA_DIR=""${gmenudatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""GMenu.conf""
#	-DMY_APPLET_USER_DATA_DIR=""GMenu""
#	-DMY_APPLET_VERSION=""${VERSION_GMENU)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_GMENU)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_GMenu_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#	$(GMENU_GIO_LIBS)
#	$(GMENU_PACKAGE_LIBS)
#
#
#libcd_GMenu_la_LDFLAGS =
#	-avoid-version -module

=== MeMenu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-me.c 			applet-me.h
	applet-menu.c 			applet-menu.h
	about-me-menu-item.c		about-me-menu-item.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_MEMENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${memenudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="MeMenu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="MeMenu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MEMENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MEMENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DDBUSMENU_MAJOR=${DBUSMENU_MAJOR})
add_definitions (-DDBUSMENU_MINOR=${DBUSMENU_MINOR})
add_definitions (-DDBUSMENU_NANO=${DBUSMENU_NANO})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

target_link_libraries (${PACKAGE_MEMENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	indicator-applet)

########### install files ###############

install(TARGETS ${PACKAGE_MEMENU} DESTINATION ${pluginsdir})

=== Messaging-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-messaging.c 			applet-messaging.h
	applet-menu.c 				applet-menu.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_MESSAGING_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${messaging_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Messaging-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Messaging-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

target_link_libraries (${PACKAGE_MESSAGING_MENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	indicator-applet)
########### install files ###############

install(TARGETS ${PACKAGE_MESSAGING_MENU} DESTINATION ${pluginsdir})

=== Status-Notifier/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Status-Notifier.conf
	preview.jpg
	icon.png
	DESTINATION ${status_notifierdatadir})

=== Status-Notifier/src/CMakeLists.txt ===

########### sources ###############

SET(cd-StatusNotifier_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-host.c 		applet-host.h
	applet-item.c 		applet-item.h
	applet-draw.c 		applet-draw.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

add_library(${PACKAGE_STATUS_NOTIFIER} SHARED ${cd-StatusNotifier_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${status_notifierdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Status-Notifier.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Status-Notifier")
add_definitions (-DMY_APPLET_VERSION="${VERSION_STATUSNOTIFIER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_STATUSNOTIFIER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_STATUS_NOTIFIER}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_STATUS_NOTIFIER} DESTINATION ${pluginsdir})

=== System-Monitor/data/CMakeLists.txt ===

########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/System-Monitor.conf
	preview.jpg
	icon.png
	button-cpu.png
	button-ram.png
	DESTINATION ${system_monitordatadir})

install (FILES nvidia-config
	DESTINATION ${system_monitordatadir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== System-Monitor/src/CMakeLists.txt ===

########### sources ###############

SET (cd-System-Monitor_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-cpusage.c 		applet-cpusage.h
	applet-rame.c 		applet-rame.h
	applet-nvidia.c 		applet-nvidia.h
	applet-top.c 		applet-top.h
	applet-monitor.c 		applet-monitor.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)
message (STATUS "SENSORS_FOUND : ${SENSORS_FOUND}")

if ("${SENSORS_FOUND}" STREQUAL "TRUE")
	SET (cd-System-Monitor_SENSORS_SRCS
		applet-sensors.c 		applet-sensors.h)
endif()
add_library (${PACKAGE_SYSTEM_MONITOR} SHARED
		${cd-System-Monitor_LIB_SRCS}
		${cd-System-Monitor_SENSORS_SRCS})
########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${system_monitordatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="System-Monitor.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="System-Monitor")
add_definitions (-DMY_APPLET_VERSION="${VERSION_SYSTEM_MONITOR}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_SYSTEM_MONITOR}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")

if ("${SENSORS_FOUND}" STREQUAL "TRUE")
	add_definitions (-DHAVE_SENSORS="1")
endif()

include_directories (${PACKAGE_INCLUDE_DIRS}
	${SENSORS_INCLUDE_DIR})

link_directories (${PACKAGE_LIBRARY_DIRS}
	${SENSORS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_SYSTEM_MONITOR}
	${PACKAGE_LIBRARIES}
	${SENSORS_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_SYSTEM_MONITOR} DESTINATION ${pluginsdir})

=== alsaMixer/src/CMakeLists.txt ===

########### sources ###############

set (cd-AlsaMixer_LIB_SRCS
	applet-init.c 			applet-init.h
	applet-config.c 		applet-config.h
	applet-notifications.c 	applet-notifications.h
	applet-mixer.c 			applet-mixer.h
	applet-draw.c 			applet-draw.h
	applet-struct.h)

add_library (${PACKAGE_ALSA_MIXER} SHARED ${cd-AlsaMixer_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${alsa_mixerdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="AlsaMixer.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="AlsaMixer")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ALSA_MIXER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ALSA_MIXER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${ALSA_MIXER_PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${ALSA_MIXER_PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_ALSA_MIXER}
	${PACKAGE_LIBRARIES}
	${ALSA_MIXER_PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_ALSA_MIXER} DESTINATION ${pluginsdir})


#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-AlsaMixer.la
#
#
#libcd_AlsaMixer_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-mixer.c
#	applet-mixer.h
#	applet-draw.h
#	applet-draw.c
#	applet-struct.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_AlsaMixer_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(ALSA_MIXER_PACKAGE_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${alsa_mixerdatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""AlsaMixer.conf""
#	-DMY_APPLET_USER_DATA_DIR=""AlsaMixer""
#	-DMY_APPLET_VERSION=""${VERSION_ALSA_MIXER)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_ALSA_MIXER)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.png""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_AlsaMixer_la_LIBADD = 
#	$(PACKAGE_LIBS)
#	$(ALSA_MIXER_PACKAGE_LIBS)
#	 -lm
#
#
#libcd_AlsaMixer_la_LDFLAGS =
#	-avoid-version -module

=== clock/src/CMakeLists.txt ===

########### sources ###############

SET(cd-clock_LIB_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-draw.c 			applet-draw.h
	applet-timer.c 			applet-timer.h
	applet-theme.c 			applet-theme.h
	applet-calendar.c 		applet-calendar.h
	applet-task-editor.c 		applet-task-editor.h
	applet-backend-default.c 	applet-backend-default.h
	applet-backend-ical.c 	applet-backend-ical.h
)

add_library(${PACKAGE_CLOCK} SHARED ${cd-clock_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${clockdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="clock.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="${clockuserdirname}")
add_definitions (-DMY_APPLET_VERSION="${VERSION_CLOCK}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_CLOCK}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (NOT "${LIBICAL_PACKAGE_FOUND}" STREQUAL "")
	add_definitions (-DCD_CLOCK_ICAL_SUPPORT="1")
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${LIBICAL_PACKAGE_INCLUDE_DIRS} "/usr/include/libical")

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${LIBICAL_PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_CLOCK}
	${PACKAGE_LIBRARIES}
	${LIBICAL_PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_CLOCK} DESTINATION ${pluginsdir})


#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-clock.la
#
#
#libcd_clock_la_SOURCES = 
#	applet-struct.h
#	applet-init.c
#	applet-init.h
#	applet-draw.c
#	applet-draw.h
#	applet-digital.c
#	applet-digital.h
#	applet-config.c
#	applet-config.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-theme.c
#	applet-theme.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_clock_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${clockdatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""clock.conf""
#	-DMY_APPLET_USER_DATA_DIR=""${clockuserdirname)""
#	-DMY_APPLET_VERSION=""${VERSION_CLOCK)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_CLOCK)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.png""
#	-DCD_APPLET_MULTI_INSTANCE="1"
#	-DGL_GLEXT_PROTOTYPES=""1""
#	-std=c99
#	 -Wall
##	-g -ggdb -W -Wall
#
#
#libcd_clock_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#
#
#libcd_clock_la_LDFLAGS =
#	-avoid-version -module

## cairo-dock-plugins 2.1.3.10

=== debian/changelog ===
cairo-dock-plugins (2.1.3.10-3) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Fix typo in cairo-dock-illusion-plugin (Closes: #588463, #588449).
  [ Youhei SASAKI ]
  * Bump Standard Version: 3.9.1
  * Separate patches:
    - fix-plugin-version: change Scooby-Do and Network-monitor reqired version
    - fix-lintian-interreter_error: fix dustbin.conf VERSION_DUSTBIN
    - modified_clean_target: exclude clean_target for data/*.conf

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Aug 2010 01:32:39 +0900

cairo-dock-plugins (2.1.3.10-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Update debian/control (Closes: #583144).
    - Update depends version of cairo-dock.
    - Drop cairo-dock from Depends.
    - Change Depends version of cairo-dock-plugin-data.
    - Add powerpcspe added powerpcspe to Architecture of cairo-dock-
      alsamixer-plugin
  * Fix plugin version of Scooby-Do.
  * Fix plugin version of Network-Monitor.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 29 May 2010 17:01:45 +0900

cairo-dock-plugins (2.1.3.10-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * New Upstream version 2.1.3.10
  * drop obsolute patch: Remove-preview.jpg-target(merge upstream)
  * remove extra charactor (Closes: #580111)
  * change cairo-dock-plugins Architecture "all" to "any" (Closes: #581299)

  [ Nobuhiro Iwamatsu ]
  * Update debian/control and debian/changelog
    - Add cairo-dock-gnome-integration-plugin, cairo-dock-kde-integration-plugin
      and cairo-dock-xfce-integration-plugin to cairo-dock-plugins.
    - Change remove dfsg from package name.
    - Update version of cairo-dock-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 20 May 2010 12:59:07 +0900

cairo-dock-plugins (2.1.3.5+dfsg-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Change 3.0/quilt source format.
  * Update debian/contorl.
    - Change Homepege from http://www.cairo-dock.org to
      http://www.glx-dock.org (Closes: #574408, #574427)
    - Remove some package from Depends of cairo-dock-plugins package.
  * Fix build kfreebsd-i386 and kfreebsd-amd64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Mar 2010 05:37:21 +0900

cairo-dock-plugins (2.1.3.5+dfsg-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * Initial release (Closes: #493737) 

  [ Nobuhiro Iwamatsu ]
  * Remove slider/data/preview.jpg
    Because this image file has copyright of problem.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Feb 2010 18:33:36 +0900

=== debian/control ===
Source: cairo-dock-plugins
Section: x11
Priority: extra
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org> 
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>, 
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, intltool, libtool, quilt,
 libcairo-dev, cairo-dock-dev (>= 2.1.3.10), libxml2-dev, libxtst-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64],  
 libgtk2.0-dev, librsvg2-dev, libxxf86vm-dev, libdbus-glib-1-dev,
 libglib2.0-dev, libvte-dev, x11proto-xf86vidmode-dev, libgnome-menu-dev,
 libgnomevfs2-dev, libgnomeui-dev, libthunar-vfs-1-dev, libgnome-keyring-dev,
 libgnutls-dev, libwebkit-dev, libexif-dev, libxklavier-dev, libgtkglext1-dev,
 libetpan-dev
Standards-Version: 3.9.1
Homepage: http://www.glx-dock.org/
Vcs-Git: git://git.debian.org/pkg-cairo-dock/cairo-dock-plugins.git
Vcs-Browser: http://git.debian.org/git/pkg-cairo-dock/cairo-dock-plugins.git

Package: cairo-dock-plugins
Architecture: any
Depends: ${misc:Depends},
  cairo-dock-alsamixer-plugin [!kfreebsd-i386 !kfreebsd-amd64],
  cairo-dock-animated-icons-plugin,
  cairo-dock-cairo-penguin-plugin,
  cairo-dock-clipper-plugin,
  cairo-dock-clock-plugin,
  cairo-dock-compiz-icon-plugin,
  cairo-dock-dbus-plugin,
  cairo-dock-desklet-rendering-plugin,
  cairo-dock-dialog-rendering-plugin,
  cairo-dock-drop-indicator-plugin,
  cairo-dock-dustbin-plugin,
  cairo-dock-icon-effect-plugin,
  cairo-dock-illusion-plugin,
  cairo-dock-logout-plugin,
  cairo-dock-motion-blur-plugin,
  cairo-dock-netspeed-plugin,
  cairo-dock-powermanager-plugin,
  cairo-dock-quick-browser-plugin,
  cairo-dock-rendering-plugin,
  cairo-dock-shortcuts-plugin,
  cairo-dock-showdesktop-plugin,
  cairo-dock-showmouse-plugin,
  cairo-dock-slider-plugin,
  cairo-dock-stack-plugin,
  cairo-dock-switcher-plugin,
  cairo-dock-systray-plugin,
  cairo-dock-tomboy-plugin,
  cairo-dock-toons-plugin,
  cairo-dock-weather-plugin,
  cairo-dock-wifi-plugin,
  cairo-dock-xgamma-plugin,
  cairo-dock-gmenu-plugin,
  cairo-dock-keyboard-indicator-plugin,
  cairo-dock-terminal-plugin,
  cairo-dock-mail-plugin,
  cairo-dock-rssreader-plugin,
  cairo-dock-scooby-do-plugin,
  cairo-dock-system-monitor-plugin,
  cairo-dock-dnd2share-plugin,
  cairo-dock-musicplayer-plugin,
  cairo-dock-weblets-plugin,
  cairo-dock-network-monitor-plugin,
  cairo-dock-gnome-integration-plugin,
  cairo-dock-kde-integration-plugin,
  cairo-dock-xfce-integration-plugin
Description: Cairo-dock - All plug-ins
 A collection of official plug-ins and applets for cairo-dock.
 .
 This is a metapackage depending on all available cairo-dock plug-ins to make
 installation easier.

Package: cairo-dock-plugin-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cairo-dock - Plug-in data file
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides plug-in data file.

Package: cairo-dock-alsamixer-plugin
Architecture: alpha amd64 armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 sh4 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Alsamixer plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you control the sound volume from the dock.
 This works with the Alsa sound driver.
 
Package: cairo-dock-animated-icons-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Animated icons plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides many different animations for your icons.

Package: cairo-dock-cairo-penguin-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Cairo penguin plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in add a lively Penguin in your dock.
 Tux images are taken from Pingus, some other characters are available
 or can be added easily.

Package: cairo-dock-clipper-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Cairo clipper plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in keeps a trace of the clipboard and mouse selection,
 so that you can recall them quickly. It's a clone of the well-know Klipper.
 This supports clipboard and mouse selection, predefined actions, and
 persistent items.

Package: cairo-dock-clock-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Clock plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays time and date in your dock.
 Two view are available : numeric and analogic, based on Cairo-Clock.
 This is compatible with the Cairo-Clock's themes, and you can detach itself to
 be a perfect clone of Cairo-Clock.
 And this supports alarms, and a basic calendar, and allows you to setup time
 and date.

Package: cairo-dock-compiz-icon-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Suggests: compiz
Description: Cairo-dock - Compiz icon plug-in 
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in allows you to manage compiz and other windows manager. 
 The sub-dock gives you to acces to CCSM, Emerald and some basic Compiz
 actions.
 The configuration panel gives user some options to launch Compiz.

Package: cairo-dock-dbus-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Dbus plug-in
 A collection of official plug-ins and applets for cairo-dock
 .
 This plug-in lets extern applications interact on the dock.
 The communication between both sides is based on Dbus.

Package: cairo-dock-desklet-rendering-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Desklet rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in renders your desktop.

Package: cairo-dock-dialog-rendering-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Dialog rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides some dialog decorators for dialog bubbles.

Package: cairo-dock-drop-indicator-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Drop indicator plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays an animated indicator when you drop something
 in the dock.

Package: cairo-dock-dustbin-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Dustbin plugin
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in manages the dustbin.
 User can threw files and unmount disks by drag andn droping them on the
 icon.
 This can warn user if use too much space.

Package: cairo-dock-icon-effect-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Icon effect plugin
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds many special effects to your icons.

Package: cairo-dock-illusion-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Illusion plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides animations for appearance and disappearance of icons.

Package: cairo-dock-logout-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Logout plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 A very simple plugin that adds an icon to log out from your session.

Package: cairo-dock-motion-blur-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Motion blur plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a motion blur effect on docks.

Package: cairo-dock-netspeed-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Netspeed plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in shows you the bit rate of your internet connection and some
 stats about it.

Package: cairo-dock-powermanager-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version}),
	gnome-power-manager
Description: Cairo-dock - Powermanager plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in controls powermanager for laptop's battery.
 It works with ACPI and DBus.

Package: cairo-dock-quick-browser-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Quick browser plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you browse a folder and its sub-folders very quickly.

Package: cairo-dock-rendering-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds different views to your dock.
 Any dock or sub-dock can be displayed with the view of your choice.
 Currently, 3D-plane, Caroussel, Parabolic, Rainbow, Slide, and Curve views
 are provided.
 
Package: cairo-dock-shortcuts-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version}),
	nautilus
Description: Cairo-dock - Shortcuts plug-in 
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you access quickly to all of your shortcuts.
 This can manage disks, network points, and Nautilus bookmarks. 

Package: cairo-dock-showdesktop-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Show desktop plug-in
 A collection of official plug-ins and applets for cairo-dock.
 . 
 This plug-in adds an icon to show your desktop, and also the desklets,
 the Widget Layer, or all the desktops at once.

Package: cairo-dock-showmouse-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - showmouse plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in draws some animation around the cursor when it's 
 inside a dock/desklet.

Package: cairo-dock-slider-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Slider plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in is a basic image slider.
 User just has to select a directory and a display effect and you're done.
 
Package: cairo-dock-stack-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Stack plug-in
 A collection of official plug-ins and applets for cairo-dock.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

ifeq (,$(findstring kfreebsd,$(DEB_BUILD_ARCH)))
     DEB_CONFIGURE_EXTRA_FLAGS = --enable-alsa-mixer
endif

DEB_CONFIGURE_EXTRA_FLAGS += \
	--enable-gnome-integration \
	--disable-old-gnome-integration \
	--enable-kde-integration \
	--enable-xfce-integration \
	--enable-terminal \
	--enable-powermanager \
	--enable-wifi \
	--enable-tomboy \
	--enable-compiz-icon \
	--enable-xgamma \
	--enable-gmenu \
	--enable-gio-in-gmenu \
	--enable-mail \
	--enable-weblets \
	--enable-exif \
	--enable-keyboard-indicator \
	--enable-dnd2share \
	--enable-musicplayer \
	--enable-network-monitor \
	--enable-scooby-do \
	--enable-rssreader \
	--with-gnu-ld
